1.2
1.2
get /v1/certificatemanager/{certificate_id}
Description
Detail a Certificate
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | certificate_id required | Certificate ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CertificateDetailResponseV1Dot2 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.2"
Example HTTP response
Response 200
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"days_until_expiration": "830",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"is_in_use": "is in use",
"issuer": "MyInternalSubCA",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"public_key_bit_size": "public key bit size",
"public_key_type": "public key type",
"signature_algorithm": "signature algorithm",
"state": "VALID",
"sub_domain": "api-guard.dev",
"user_name": "kildong@samsung.com"
}
}